# IBM Visualization Data Explorer Installation and Configuration Guide

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents ]

# Chapter 13. The Configure Script

Partial Table-of-Contents

- 13.1 Command Line Options for Configure
- 13.2 Using Other Than the Default Configuration

  The Configure script, located in the bin directory of the Data Explorer installation tree, is used to install or deinstall soft links and small files in standard places (e.g.. `/usr/local/bin`, `/usr/local/lib`, ...) that reference the Data Explorer installation tree.

  Configure is run automatically from the installation script, so generally one does not need to run it directly. However, if for example, Data Explorer for architecture A (e.g. ibm6000) is installed on a machine with architecture B (e.g. hp700), then Configure may need to be run on the machine with architecture A that expects to use Data Explorer.

  Configure provides the ability to configure individual subsystems of Data Explorer, but by default will attempt to configure all of them.

  The run-time subsystem uses either /usr/local/bin or /usr/bin (in that order) as the directory to install executables (e.g. the `dx` driver script). If neither of these directories is writable an error will occur. A Data Explorer manual page is also installed in the appropriate manual page directory tree if that directory is writable. Note, that in a networked environment in which /usr/local/bin and the manual page directory are shared among many hosts, Configure need only be run once to configure all such machines to use the run-time subsystem of Data Explorer.

  The development subsystem uses the same executable directories as the run-time subsystem to install its development related executables (e.g. mdf-c). This subsystem also uses either /usr/local/lib or /usr/lib (in that order) as the directory to install links to libraries (i.e. libDX.a, libDXlite.a). In addition, a link is made from /usr/include/dx to the include directory of the Data Explorer installation directory. Note, that in a networked environment in which /usr/local/lib and /usr/local/bin directory are shared among many hosts, Configure need only be run once to configure all such machines to use the development subsystem of Data Explorer with the exception of the /usr/include/dx directory which is generally not shared.

  The samples subsystem and the online help subsystem do not require configuring.

  To perform the standard configuration after installation, enter the following:

      Configure

  To perform the standard deconfiguration prior to removing Data Explorer from your system or to reconfigure Data Explorer, enter the following:

      Configure deinstall

  If the root directory is moved after installation, Data Explorer can (and should) be reconfigured to use the new root directory with the following:

      Configure deinstall
      Configure -dxroot <new directory>

  A complete description of the usage and options for Configure are found in 13.1 , "Command Line Options for Configure".

  ## 13.1 Command Line Options for Configure

  Usage is as follows:

      Configure [ -<option> ... ] [ <platform> ] [ <operation> ]

  Where <operation> is one of install or deinstall and <platform> is one of the supported architectures (alphax, aviion, hp700, ibm6000, sgi, solaris, sun4). The default action is to configure all Data Explorer subsystems for the architecture that is running Configure.

  The options are as follows:

  -bindir <bindir> | indicates the name of the directory where executable shell scripts should be placed. The given directory must exist. The default is /usr/local/bin and if this is not writable, then /usr/bin.
  -libdir <libdir> | indicates the name of the directory where Data Explorer libraries should be placed. The given directory must exist. The default is /usr/local/lib and if this is not writable, then /usr/lib.
  -check | lists the actions that will be taken without actually performing them.
  -dxroot | indicates the root of the Data Explorer installation directory. The default is /usr/share/dx.
  -echo | the same as -check, above.
  -help | gives a listing of supported options.
  -online-help | perform the given operation for the online help subsystem.
  -html | perform the given operation for the HTML subsystem.
  -samples | perform the given operation for the samples subsystem.
  -runtime | perform the given operation for the run-time subsystem.
  -develop | perform the given operation for the develop subsystem.

  [ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents ]
  [Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

  [Data Explorer Home Page]

  [IBM Home Page | Order | Search | Contact IBM | Legal ]